import type { HLJSApi, LanguageFn } from 'highlight.js';
export type HighlightLanguageRegistration = {
    name: string;
    definition: LanguageFn;
};
declare const defaultLanguageRegistrations: HighlightLanguageRegistration[];
export interface HighlightConfiguration {
    languages?: HighlightLanguageRegistration[];
}
export declare function configureHighlight({ languages }?: HighlightConfiguration): void;
export declare function highlightElement(target: HTMLElement): void;
export declare function getHighlightInstance(): HLJSApi;
export { defaultLanguageRegistrations as defaultHighlightLanguages };
